IBM WebSphere Application Server 7.0 < Fix Pack 25 Multiple Vulnerabilities

Medium Nessus Plugin ID 62413


The remote application server may be affected by multiple vulnerabilities.


IBM WebSphere Application Server 7.0 before Fix Pack 25 appears to be running on the remote host. As such, it is potentially affected by the following vulnerabilities :

- Several errors exist related to SSL/TLS that can allow an attacker to carry out denial of service attacks against the application. (CVE-2012-2190, CVE-2012-2191, PM66218)

- Unspecified cross-site scripting issues exist related to the administrative console. (CVE-2012-3293, PM60839)

- An unspecified error in the 'ISC Console' can allow a remote attacker to take over a valid user's session.
(CVE-2012-3304, PM54356)

- An unspecified directory traversal error exists that can allow remote attackers to overwrite files outside the application's deployment directory. (CVE-2012-3305, PM62467)

- When multi-domain support is enabled, the application does not properly purge passwords from the authentication cache. (CVE-2012-3306, PM66514)

- An error exists related to 'Federated Repositories', 'IIOP' connections, 'CBIND' checking and 'Optimized Local Adapters' that can allow a remote attacker to bypass security restrictions. Note that this issue affects the application when running on z/OS.
(CVE-2012-3311, PM61388)

- The fix contained in PM44303 contains an error that can allow an authenticated attacker to bypass security restrictions and gain administrative access to the application. (CVE-2012-3325, PM71296)


If using WebSphere Application Server, apply Fix Pack 25 ( or later.

Otherwise, if using embedded WebSphere Application Server packaged with Tivoli Directory Server, apply the latest recommended eWAS fix pack.

See Also

Plugin Details

Severity: Medium

ID: 62413

File Name: websphere_7_0_0_25.nasl

Version: $Revision: 1.10 $

Type: remote

Family: Web Servers

Published: 2012/10/03

Modified: 2015/02/13

Dependencies: 57034

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:ibm:websphere_application_server

Required KB Items: www/WebSphere

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/09/24

Vulnerability Publication Date: 2012/07/30

Reference Information

CVE: CVE-2012-2190, CVE-2012-2191, CVE-2012-3293, CVE-2012-3304, CVE-2012-3305, CVE-2012-3306, CVE-2012-3311, CVE-2012-3325

BID: 54743, 55149, 55185, 55309, 55671, 55678

OSVDB: 84468, 84474, 84918, 85025, 85732, 85733, 85734, 85735

CWE: 20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990